Name:           python-google-apputils
Version:        0.4.2
Release:        15
Summary:        Google Application Utilities for Python
License:        ASL 2.0
URL:            https://github.com/google/google-apputils
Source0:        https://pypi.python.org/packages/source/g/google-apputils/google-apputils-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel python2-setuptools python2-dateutil python2-gflags
BuildRequires:  python2-pytz python3-devel python2-mox python3-setuptools
BuildRequires:  python2-tools python3-dateutil python3-gflags python3-pytz

%description
This project is a small collection of utilities for Python applications.
It includes some of the same set of utilities used to build and
run internal Python apps at Google.

%package        -n python2-google-apputils
Summary:        Google Application Utilities for Python2
Requires:       python2-dateutil python2-gflags python2-pytz
%{?python_provide:%python_provide python2-google-apputils}

%description    -n python2-google-apputils
This project is a small collection of utilities for Python2 applications.
It includes some of the same set of utilities used to build and
run internal Python apps at Google.

%package        -n python3-google-apputils
Summary:        Google Application Utilities for Python3
Requires:       python3-dateutil python3-gflags python3-pytz

%description    -n python3-google-apputils
This project is a small collection of utilities for Python3 applications.
It includes some of the same set of utilities used to build and
run internal Python apps at Google.


%prep
%autosetup -c
mv google-apputils-%{version} python2
find -name \*.py | xargs sed -i '/^#!\/usr\/bin\/.*python/d'
sed -i 's/pytz>.*"/pytz"/' python2/setup.py
cp -a python2 python3
2to3 --write --nobackups python3


%build
cd python2
%py2_build
cd -
cd python3
%py3_build
cd -


%install
cd python3
%{__python3} setup.py install --skip-build --root %{buildroot}
cd -

cd python2
%{__python2} setup.py install --skip-build --root %{buildroot}
cd -


%check
cd python2
%{__python2} setup.py test
cd -

%files -n python2-google-apputils
%license python2/LICENSE
%doc python2/README
%{python2_sitelib}/*

%files -n python3-google-apputils
%license python3/LICENSE
%doc python3/README
%{python3_sitelib}/*


%changelog
* Wed Jan 8 2020 zhujunhao <zhujunhao5@huawei.com> 0.4.2-15
- Package init
